import request from '@/utils/request'

// 查询道路线列表
export function listRoute(query) {
  return request({
    url: '/xj/route/list',
    method: 'get',
    params: query
  })
}

// 查询道路线详细
export function getRoute(id) {
  return request({
    url: '/xj/route/' + id,
    method: 'get'
  })
}

// 新增道路线
export function addRoute(data) {
  return request({
    url: '/xj/route',
    method: 'post',
    data: data
  })
}

// 修改道路线
export function updateRoute(data) {
  return request({
    url: '/xj/route',
    method: 'put',
    data: data
  })
}

// 删除道路线
export function delRoute(id) {
  return request({
    url: '/xj/route/' + id,
    method: 'delete'
  })
}
